Name:     nonstd-variant-lite-devel
%define altname variant-lite
Version:  2.0.0
Release:  1%{?dist}
Summary:  A single-file header-only version of a C++17-like variant, a type-safe union for C++98, C++11 and later
License:  BSL-1.0
URL:      https://github.com/martinmoene/%{altname}
Source0:  https://github.com/martinmoene/%{altname}/archive/refs/tags/v%{version}.tar.gz#/%{altname}-%{version}.tar.gz
Patch0:   variant-lite-2.0.0-std-variant.patch
BuildArch: noarch
BuildRequires: cmake
BuildRequires: gcc-c++

%description
variant lite is a single-file header-only library to represent a type-safe
union. The library aims to provide a C++17-like variant for use with C++98 and
later. If available, std::variant is used.

%prep
%autosetup -p1 -n %{altname}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%{_includedir}/nonstd/*.hpp
%{_libdir}/cmake/*/*.cmake

%changelog
* Fri Jul 15 2022 Jean Pierre Cimalando <jp-dev@gmx.com> - 2.0.0-1
- Initial version of the package
